Ovi Maps in Firefox 3 (Linux)

It seems that Ovi Maps needs another Operating System

860 views
0 faves
0 comments
Taken on December 4, 2008